﻿using System;
using System.Windows;
using Abt.Controls.SciChart.Model.DataSeries;

namespace PaletteProviderTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            GenerateValues();
        }

        private readonly Random r = new Random(543926749);

        private const int NumberOfPoints = 20;
        private void GenerateValues()
        {
            var series = surface.RenderableSeries;
            var numberOfSeries = series.Count;

            // Add three DataSeries which are actually the measurements
            for (int i = 0; i < numberOfSeries; i++)
            {
                var middle = 10 - i;
                var dataSeries = new XyDataSeries<DateTime, double>();

                for (int j = 0; j < NumberOfPoints; j++)
                {
                    var y = r.NextDouble() - 0.5;

                    // Generate the some years
                    var date = new DateTime(1989, 11, 11).AddYears(j).AddMonths(j);
                    var value = middle - y;

                    dataSeries.Append(date, value);
                }
                series[i].DataSeries = dataSeries;
            }
        }
    }
}
