﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using Abt.Controls.SciChart;
using Abt.Controls.SciChart.Visuals.Axes;
using Abt.Controls.SciChart.Visuals.RenderableSeries;
using PaletteProviderTest.Annotations;

namespace PaletteProviderTest
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private OwnPaletteProvider paletteProvider;
        public event PropertyChangedEventHandler PropertyChanged;

        public OwnPaletteProvider PaletteProvider
        {
            get { return paletteProvider; }
            set
            {
                if (Equals(value, paletteProvider)) return;
                paletteProvider = value;
                OnPropertyChanged();
            }
        }

        public MainWindowViewModel()
        {
            PaletteProvider = new OwnPaletteProvider();
        }

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            var handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
