﻿using System;
using System.Collections.Generic;
using System.Windows.Media;
using Abt.Controls.SciChart.Visuals.RenderableSeries;

namespace PaletteProviderTest
{
    public class OwnPaletteProvider : PaletteProviderBase
    {
        private readonly Dictionary<IRenderableSeries, Color> seriesColorsDictionary = new Dictionary<IRenderableSeries, Color>();

        private List<Color> availablesColors = new List<Color>()
        {
            Colors.Red,
            Colors.Yellow,
            Colors.Green,
            Colors.Orange,
            Colors.Blue
        };

        private int counter = 0;

        public override Color? GetColor(IRenderableSeries series, double xValue, double yValue)
        {
            // Get the specific Color for the specific Series
            if (seriesColorsDictionary.ContainsKey(series))
            {
                return seriesColorsDictionary[series];
            }

            // Series doesn't have a color
            // Add new Color from the list for this series in a RoundRobin-way
            var newColorForSeries = availablesColors[counter%availablesColors.Count];
            counter++;

            seriesColorsDictionary.Add(series, newColorForSeries);

            return newColorForSeries;
        }
    }
}
