﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace PaletteProviderTest
{
    public class StringToBrushConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var textColor = value as string;
            if (textColor != null)
            {
                var color = (Color)ColorConverter.ConvertFromString(textColor);
                return new SolidColorBrush(color);
            }

            if (value is Color)
            {
                return new SolidColorBrush((Color)value);
            }

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
